using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 学段
/// </summary>
public enum EducationStage
{
    /// <summary>
    /// 未知
    /// </summary>
    [Description("未知")]
    NONE = 0,
    /// <summary>
    /// 学前
    /// </summary>
    [Description("学前")]
    PRESCHOOL_STAGE = 1,
    /// <summary>
    /// 小学
    /// </summary>
    [Description("小学")]
    PRIMARY_SCHOOL_STAGE = 2,
    /// <summary>
    /// 初中
    /// </summary>
    [Description("初中")]
    JUNIOR_HIGH_SCHOOL_STAGE = 3,
    /// <summary>
    /// 高中
    /// </summary>
    [Description("高中")]
    SENIOR_HIGH_SCHOOL_STAGE = 4,
}
